
*Do-file for bacheloroppgave 

use "C:\Users\KarlP\Documents\Skole\NTNU\Bacheloroppgave NTNU\Datafiler\data2901-Norway.dta", clear 

*Legger til datasett for Sverige til Norge
append using "data2901-Sweden"



*Lager dummyvariabel for Sverige
gen Sweden=0 
replace Sweden=1 if idcntry==752

*lager dummyvariabler
gen dschool_location=0 
replace dschool_location=1 if school_location>=3

gen dincome=0
replace dincome=1 if income>=4

gen dpar_edu=0
replace dpar_edu=1 if par_edu>=3

*lager kvadratisk variabel og interaksjonsvariabel 
gen teacher_exp_sq=teacher_exp*teacher_exp
gen teacher_expXSweden=teacher_exp*Sweden

*Deskriptiv statistics 
sum read 
sum read if Sweden==0
sum read if Sweden==1 
histogram read 
histogram read if Sweden==0
histogram read if Sweden==1 

sum teacher_exp

sum teacher_fem dincome girl birthm dpar_edu not_born clsize dschool_location

reg read teacher_exp
corr read teacher_exp 



*1 Grunnmodell. Lærerkarakteristika, Elevkarakteristika og Sweden
reg read teacher_exp teacher_fem Sweden girl birthm not_born
est store m1
test teacher_exp

*2 1 Kontrollert for Familiekarakteristika 
reg read teacher_exp teacher_fem Sweden girl birthm not_born dincome dpar_edu 
est store m2
**F-test. Benytt full/restricted F-test i oppgaven ved utregning
test dpar_edu not_born
test dincome
test dpar_edu
test teacher_exp 

*3 2 Kontrollert for Skoleressursvariabler 
reg read teacher_exp teacher_fem Sweden girl birthm not_born dincome dpar_edu clsize dschool_location
est store m3
*F-test. Benytt full/restricted F-test i oppgaven ved utregning 
test clsize dschool_location
test clsize
test dschool_location
test teacher_exp

*4 Kvadratisk ledd av lærererfaring. teacher_exp_sq. Studere om avtagende effekt for høye verdier. 
reg read teacher_exp teacher_fem Sweden girl birthm not_born dincome dpar_edu clsize dschool_location teacher_exp_sq
est store m4
test teacher_exp_sq
corr teacher_exp teacher_exp_sq


*5 Interaksjonsvariabel Lærererfaring og Sverige. teacher_expXSweden. Studere forskjell for lærererfaring i Norge og Sverige
reg read teacher_exp teacher_fem Sweden girl birthm not_born dincome dpar_edu clsize dschool_location teacher_expXSweden
est store m5
test teacher_expXSweden

*Outregdiagram
outreg2 [m1 m2 m3 m4 m5] using OutregBacheloroppg, bdec(3) sdec(3)word noaster replace
